# XW_EXT_FONTMAP Struct Reference

`#include <Xw_Extension.h>`

## Data Fields

void * | link
int | type
XW_EXT_DISPLAY * | connexion
int | maxfont
int | maxwindow
float | gsizes [MAXFONT]
float | fsizes [MAXFONT]
float | fratios [MAXFONT]
float | ssizex [MAXFONT]
float | ssizey [MAXFONT]
float | gslants [MAXFONT]
float | sslants [MAXFONT]
char * | gnames [MAXFONT]
char * | snames [MAXFONT]
XFontStruct * | fonts [MAXFONT]

## Field Documentation

XW_EXT_DISPLAY* XW_EXT_FONTMAP::connexion

XFontStruct* XW_EXT_FONTMAP::fonts[MAXFONT]

float XW_EXT_FONTMAP::fratios[MAXFONT]

float XW_EXT_FONTMAP::fsizes[MAXFONT]

char* XW_EXT_FONTMAP::gnames[MAXFONT]

float XW_EXT_FONTMAP::gsizes[MAXFONT]

float XW_EXT_FONTMAP::gslants[MAXFONT]

void* XW_EXT_FONTMAP::link

int XW_EXT_FONTMAP::maxfont

int XW_EXT_FONTMAP::maxwindow

char* XW_EXT_FONTMAP::snames[MAXFONT]

float XW_EXT_FONTMAP::ssizex[MAXFONT]

float XW_EXT_FONTMAP::ssizey[MAXFONT]

float XW_EXT_FONTMAP::sslants[MAXFONT]

int XW_EXT_FONTMAP::type

The documentation for this struct was generated from the following file:

- Xw_Extension.h